#include <bits/stdc++.h>
using namespace std;
int t,n,m,k;
int main(){
 cin >> t;
 for(int i=1;i<=t;i++){
    cin >> n >> m >> k;
    if((m/2)>=n)
            cout << "Tak";
    else
        cout << "Nie";
}
return 0;
}